[Python-apps-commits] r6821 - in packages/parti-all/trunk/debian (changelog repack watch)

aelmahmoudy-guest at users.alioth.debian.org aelmahmoudy-guest at users.alioth.debian.org
Fri Mar 25 17:27:45 UTC 2011


    Date: Friday, March 25, 2011 @ 17:27:36
  Author: aelmahmoudy-guest
Revision: 6821

* Added debian/repack script to repack upstream tarball.
* debian/watch:
  + Added call to repack script.
  + Also add uversionmangle to help repack script do its work properly

Added:
  packages/parti-all/trunk/debian/repack
Modified:
  packages/parti-all/trunk/debian/changelog
  packages/parti-all/trunk/debian/watch

Modified: packages/parti-all/trunk/debian/changelog
===================================================================
--- packages/parti-all/trunk/debian/changelog	2011-03-25 11:42:09 UTC (rev 6820)
+++ packages/parti-all/trunk/debian/changelog	2011-03-25 17:27:36 UTC (rev 6821)
@@ -1,8 +1,12 @@
-parti-all (0.0.6-1) experimental; urgency=low
+parti-all (0.0.6+dfsg-1) experimental; urgency=low
 
   [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
   * Initial release to Debian (Closes: #607973)
-  * debian/watch: Updated URL.
+  * Added debian/repack script to repack upstream tarball.
+  * debian/watch:
+    + Updated URL.
+    + Added demangling for dfsg.
+    + Added call for repack script
   * Removed stray xpra.dirs
   * Renamed wimpiggy to python-wimpiggy
     + debian/control:
@@ -29,6 +33,10 @@
     packages.
   * Added private-pkg.diff patch to add /usr/lib/xpra to sys.path for xpra
     script and /usr/lib/parti to sys.path for parti script.
+  * debian/copyright:
+    + Removed clauses for working-notes/specs/* files, as the specs/ folder is
+      removed in this DFSG.
+    + Added clause for parti/addons/ipython_view.py
 
   [ Miguel Landaeta ]
   * Add myself to Uploaders.
@@ -44,7 +52,7 @@
   [ Jakub Wilk ]
   * Export LDFLAGS in debian/rules.
 
- -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy at sabily.org>  Mon, 17 Jan 2011 19:32:10 +0200
+ -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy at sabily.org>  Fri, 25 Mar 2011 19:23:24 +0200
 
 parti-all (0.0.6-0ubuntu10) natty; urgency=low
 

Added: packages/parti-all/trunk/debian/repack
===================================================================
--- packages/parti-all/trunk/debian/repack	                        (rev 0)
+++ packages/parti-all/trunk/debian/repack	2011-03-25 17:27:36 UTC (rev 6821)
@@ -0,0 +1,60 @@
+#!/bin/bash --
+
+set -e
+
+VERSION=$2
+TARBALL="`readlink -f "$3"`"
+
+TMPDIR=`mktemp -d`
+
+cd "$TMPDIR"
+
+if [ -n "$VERBOSE" ]; then
+	echo "Repacking tarball $TARBALL"
+fi
+
+if grep tar.gz$ <<< $TARBALL &>/dev/null; then
+	TYPE=gzip
+	tar zxf "$TARBALL"
+elif grep tar.bz2$ <<< $TARBALL &>/dev/null; then
+	TYPE=bzip2
+	tar jxf "$TARBALL"
+elif grep zip$ <<< $TARBALL &>/dev/null; then
+	TYPE=zip
+	unzip -qq "$TARBALL"
+else
+	echo "Do not know how to unpack $TARBALL (expecting tar.gz, tar.bz2 or zip)"
+fi
+
+SUBDIR=
+if [ "`ls -1 | wc -l`" = "1" ]; then
+	cd *
+	SUBDIR=true
+fi
+
+rm -rf working-notes/specs/
+
+if [ -n "$SUBDIR" ]; then
+	cd ..
+fi
+
+rm -f "$TARBALL"
+
+case "$TYPE" in 
+gzip)
+	tar zcf "$TARBALL" *
+	;;
+bzip2)
+	tar jcf "$TARBALL" *
+	;;
+zip)
+	tar zcf "${TARBALL%.zip}.tar.gz" *
+	;;
+esac
+
+cd /
+rm -rf "$TMPDIR"
+
+if [ -n "$VERBOSE" ]; then
+	echo "done"
+fi


Property changes on: packages/parti-all/trunk/debian/repack
___________________________________________________________________
Added: svn:executable
   + *

Modified: packages/parti-all/trunk/debian/watch
===================================================================
--- packages/parti-all/trunk/debian/watch	2011-03-25 11:42:09 UTC (rev 6820)
+++ packages/parti-all/trunk/debian/watch	2011-03-25 17:27:36 UTC (rev 6821)
@@ -1,5 +1,6 @@
 version=3
-opts="dversionmangle=s/\+dfsg//," \
+opts="dversionmangle=s/\+dfsg//,uversionmangle=s/$/\+repack/," \
 http://code.google.com/p/partiwm/downloads/list \
-  http://partiwm.googlecode.com/files/parti-all-(.*)\.tar\.gz
+  http://partiwm.googlecode.com/files/parti-all-(.*)\.tar\.gz \
+debian ./debian/repack
 




More information about the Python-apps-commits mailing list